From 7589605c81581b5909a0fe515fd78f3d1417d37a Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sun, 21 Aug 2016 10:59:41 +0000
Subject: [PATCH] Bump version of feature-search

---
 build/index.php              |  6 +++---
 module_index.json            | 10 +++++-----
 modules/feature-search.php   |  2 +-
 modules/page-help.php        |  2 +-
 modules/parser-parsedown.php |  2 +-
 5 files changed, 11 insertions(+), 11 deletions(-)
 mode change 100644 => 100755 modules/feature-search.php

diff --git a/build/index.php b/build/index.php
index 2e11276..1dc7530 100755
--- a/build/index.php
+++ b/build/index.php
@@ -2091,7 +2091,7 @@ register_module([
 
 register_module([
 	"name" => "Search",
-	"version" => "0.3.2",
+	"version" => "0.3.3",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
 	"id" => "feature-search",
@@ -3946,7 +3946,7 @@ register_module([
 
 register_module([
 	"name" => "Help page",
-	"version" => "0.9.2",
+	"version" => "0.9.3",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds a rather useful help page. Access through the 'help' action. This module also exposes help content added to Pepperminty Wiki's inbuilt invisible help section system.",
 	"id" => "page-help",
@@ -5173,7 +5173,7 @@ class PeppermintParsedown extends ParsedownExtra
 	{
 		global $pageindex;
 		///^!\[(.*)\]\(([^ |)]+)\s*(?:\|([^|)]*)(?:\|([^)]*))?)?\)/
-		if(preg_match('/^!\[(.*)\]\(([^ |)]+)\s*(?:\|([^|)]*))?(?:\|([^|)]*))?(?:\|([^)]*))?\)/', $fragment["text"], $matches))
+		if(preg_match('/^!\[(.*)\]\(([^|)]+)\s*(?:\|([^|)]*))?(?:\|([^|)]*))?(?:\|([^)]*))?\)/', $fragment["text"], $matches))
 		{
 			/*
 			 * 0 - Everything
diff --git a/module_index.json b/module_index.json
index eae8b44..f94996c 100755
--- a/module_index.json
+++ b/module_index.json
@@ -64,11 +64,11 @@
     },
     {
         "name": "Search",
-        "version": "0.3.2",
+        "version": "0.3.3",
         "author": "Starbeamrainbowlabs",
         "description": "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
         "id": "feature-search",
-        "lastupdate": 1471689193,
+        "lastupdate": 1471697540,
         "optional": false
     },
     {
@@ -127,11 +127,11 @@
     },
     {
         "name": "Help page",
-        "version": "0.9.2",
+        "version": "0.9.3",
         "author": "Starbeamrainbowlabs",
         "description": "Adds a rather useful help page. Access through the 'help' action. This module also exposes help content added to Pepperminty Wiki's inbuilt invisible help section system.",
         "id": "page-help",
-        "lastupdate": 1471697360,
+        "lastupdate": 1471697534,
         "optional": false
     },
     {
@@ -203,7 +203,7 @@
         "author": "Emanuil Rusev & Starbeamrainbowlabs",
         "description": "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https:\/\/github.com\/erusev\/parsedown-extra), which is licensed MIT. Please be careful, as this module adds some weight to your installation, and also *requires* write access to the disk on first load.",
         "id": "parser-parsedown",
-        "lastupdate": 1471634426,
+        "lastupdate": 1471776991,
         "optional": false
     }
 ]
\ No newline at end of file
diff --git a/modules/feature-search.php b/modules/feature-search.php
old mode 100644
new mode 100755
index 354babe..ff10b40
--- a/modules/feature-search.php
+++ b/modules/feature-search.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Search",
-	"version" => "0.3.2",
+	"version" => "0.3.3",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
 	"id" => "feature-search",
diff --git a/modules/page-help.php b/modules/page-help.php
index 176c06f..3ff79c2 100644
--- a/modules/page-help.php
+++ b/modules/page-help.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Help page",
-	"version" => "0.9.2",
+	"version" => "0.9.3",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds a rather useful help page. Access through the 'help' action. This module also exposes help content added to Pepperminty Wiki's inbuilt invisible help section system.",
 	"id" => "page-help",
diff --git a/modules/parser-parsedown.php b/modules/parser-parsedown.php
index be71c10..b7cc809 100644
--- a/modules/parser-parsedown.php
+++ b/modules/parser-parsedown.php
@@ -368,7 +368,7 @@ class PeppermintParsedown extends ParsedownExtra
 	{
 		global $pageindex;
 		///^!\[(.*)\]\(([^ |)]+)\s*(?:\|([^|)]*)(?:\|([^)]*))?)?\)/
-		if(preg_match('/^!\[(.*)\]\(([^ |)]+)\s*(?:\|([^|)]*))?(?:\|([^|)]*))?(?:\|([^)]*))?\)/', $fragment["text"], $matches))
+		if(preg_match('/^!\[(.*)\]\(([^|)]+)\s*(?:\|([^|)]*))?(?:\|([^|)]*))?(?:\|([^)]*))?\)/', $fragment["text"], $matches))
 		{
 			/*
 			 * 0 - Everything
